// キャンバス情報
var canvas = null;
var g = null;

/*
 * rand: 指定範囲の乱数を返す
 * @param	min		範囲の最小値
 * @param	max		範囲の最大値
 * @return	指定範囲の乱数（整数）
 */
function rand(min, max){
	return Math.floor(Math.random() * (max-min+1) + min);
}

/*
 * drawArc: ランダムな位置にランダムな色と大きさで円を描く
 * @param	None
 * @return	None
 */
function drawArc(width, height){
	// 座標と半径と色をランダムで設定
	let x = rand(0, width);
	let y = rand(0, height);
	let r = rand(10, 150);
	let color = "rgba(" + rand(0, 255) + ", " + rand(0, 255) + ", " + rand(0, 255) + ", 0.8)";

	// 円を描く
	g.beginPath();
	g.fillStyle = color;	// 塗りつぶす色
	g.arc(x, y, r, 0, Math.PI*2, false);
	g.fill();
}

/*
 * main: 起動時の処理
 */
window.addEventListener("load", function(){
	// キャンバスの初期設定
	canvas = document.getElementById("canvas");
	g = canvas.getContext("2d");
	
	// ディスプレイサイズを取得
	let width = screen.width;
	let height = screen.height;

	// キャンバスのウインドウサイズを設定
	canvas.width = width;
	canvas.height = height;
	
	// 画面をクリア
	g.clearRect(0, 0, width, height);

	// カラフルな円を200個描く
	for(let i=0; i<200; i++){
		drawArc(width, height);
	}
});
